/* modem.h
 * Michael McTernan, mm7323@bris.ac.uk
 * 3/10/00
 */

#ifndef MODEM_HEADER
#define MODEM_HEADER

extern int   debugFlags;
extern int   flowControl;
extern int   paritySetting;
extern int   dataBits;
extern int   stopBits;
extern char *modemDevice;

int  modemOpen();
void modemInit();
void modemClose();
void modemWrite(const char *data);
int  modemRead(char *buf,int n);
void modemSendExpect(const char *command,const char *reply);
void modemExpect(const char *string);
int  modemReadLine(char *buf,int cbuf,int ignoreDLE);
char modemReadDLE(long to_sec,long to_usec);
char modemReadChar();
int  modemReadInt();
int  modemPoll();
char modemPlayFile(const char *file,int enableDTMF);

#endif
